org.keycloak.dom.saml.v2.protocol

## Class ManageNameIDRequestType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.ManageNameIDRequestType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class ManageNameIDRequestType
      extends RequestAbstractType

  Java class for ManageNameIDRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ManageNameIDRequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
               </choice>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NewID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NewEncryptedID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Terminate"/>
               </choice>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EncryptedElementType` | `encryptedID`
    `protected NameIDType` | `nameID`
    `protected EncryptedElementType` | `newEncryptedID`
    `protected String` | `newID`
    `protected TerminateType` | `terminate`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageNameIDRequestType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncryptedElementType` | `getEncryptedID()` Gets the value of the encryptedID property.
    `NameIDType` | `getNameID()` Gets the value of the nameID property.
    `EncryptedElementType` | `getNewEncryptedID()` Gets the value of the newEncryptedID property.
    `String` | `getNewID()` Gets the value of the newID property.
    `TerminateType` | `getTerminate()` Gets the value of the terminate property.
    `void` | `setEncryptedID(EncryptedElementType value)` Sets the value of the encryptedID property.
    `void` | `setNameID(NameIDType value)` Sets the value of the nameID property.
    `void` | `setNewEncryptedID(EncryptedElementType value)` Sets the value of the newEncryptedID property.
    `void` | `setNewID(String value)` Sets the value of the newID property.
    `void` | `setTerminate(TerminateType value)` Sets the value of the terminate property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nameID

          protected NameIDType nameID

    - #### encryptedID

          protected EncryptedElementType encryptedID

    - #### newID

          protected String newID

    - #### newEncryptedID

          protected EncryptedElementType newEncryptedID

    - #### terminate

          protected TerminateType terminate

  - ### Constructor Detail

    - #### ManageNameIDRequestType

          public ManageNameIDRequestType(String id,
                                         XMLGregorianCalendar instant)

  - ### Method Detail

    - #### getNameID

          public NameIDType getNameID()

      Gets the value of the nameID property.
      Returns:
        possible object is `NameIDType`

    - #### setNameID

          public void setNameID(NameIDType value)

      Sets the value of the nameID property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getEncryptedID

          public EncryptedElementType getEncryptedID()

      Gets the value of the encryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setEncryptedID

          public void setEncryptedID(EncryptedElementType value)

      Sets the value of the encryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

    - #### getNewID

          public String getNewID()

      Gets the value of the newID property.
      Returns:
        possible object is `String`

    - #### setNewID

          public void setNewID(String value)

      Sets the value of the newID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNewEncryptedID

          public EncryptedElementType getNewEncryptedID()

      Gets the value of the newEncryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setNewEncryptedID

          public void setNewEncryptedID(EncryptedElementType value)

      Sets the value of the newEncryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

    - #### getTerminate

          public TerminateType getTerminate()

      Gets the value of the terminate property.
      Returns:
        possible object is `TerminateType`

    - #### setTerminate

          public void setTerminate(TerminateType value)

      Sets the value of the terminate property.
      Parameters:
        `value` - allowed object is `TerminateType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.